package com.njzscloud.supervisory.goods.service;

import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.njzscloud.common.mp.support.PageParam;
import com.njzscloud.common.mp.support.PageResult;
import com.njzscloud.supervisory.goods.mapper.GoodsInfoMapper;
import com.njzscloud.supervisory.goods.pojo.entity.GoodsInfoEntity;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * 产品信息
 */
@Slf4j
@Service
public class GoodsInfoService extends ServiceImpl<GoodsInfoMapper, GoodsInfoEntity> implements IService<GoodsInfoEntity> {

    /**
     * 新增
     */
    public void add(GoodsInfoEntity goodsInfoEntity) {
        this.save(goodsInfoEntity);
    }

    /**
     * 修改
     */
    public void modify(GoodsInfoEntity goodsInfoEntity) {
        this.updateById(goodsInfoEntity);
    }

    /**
     * 删除
     */
    @Transactional(rollbackFor = Exception.class)
    public void del(List<Long> ids) {
        this.removeBatchByIds(ids);
    }

    /**
     * 详情
     */
    public GoodsInfoEntity detail(Long id) {
        return this.getById(id);
    }

    /**
     * 分页查询
     */
    public PageResult<GoodsInfoEntity> paging(PageParam pageParam, GoodsInfoEntity goodsInfoEntity) {
        return PageResult.of(this.page(pageParam.toPage(), Wrappers.<GoodsInfoEntity>query(goodsInfoEntity)));
    }

}
